Skip to main content

View executions of a custom payout schedule

get/balanceAccounts/{balanceAccountId}/sweeps/{sweepId}/executions

Returns a paginated list of executions of a custom payout schedule on a balance account. You can use query parameters to filter the executions that are returned in the list.

Endpoint destination URL
https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{balanceAccountId}/sweeps/{sweepId}/executions
Click to copy
cursorstring

The cursor from the next or previous pagination link in the previous response.

limitinteger
Minimum: 10

The number of items returned per page. By default, the response returns 10 items per page.

resultsstring

Contains a comma-separated list of sweep execution results. If included, the response returns only sweep executions with the specified results.

Possible results:

  • succeeded: The sweep payout was completed successfully.
  • failed: The sweep payout was not completed due to an error.
  • skipped: The sweep payout was not triggered as expected.
sweepIdstringRequired

The unique identifier of the sweep configuration.

balanceAccountIdstringRequired

The unique identifier of the balance account.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 200 - OK

    The request has succeeded.

  • 401 - Unauthorized

    Authentication required.

  • 404 - Not Found

    The resource was not found

  • 422 - Unprocessable Entity

    A request validation error.

  • 500 - Internal Server Error

    The server could not process the request.